/*                     __                                               *\
**     ________ ___   / /  ___     Scala API                            **
**    / __/ __// _ | / /  / _ |    (c) 2003-2009, LAMP/EPFL             **
**  __\ \/ /__/ __ |/ /__/ __ |    http://scala-lang.org/               **
** /____/\___/_/ |_/____/_/ | |                                         **
**                          |/                                          **
\*                                                                      */

// $Id: CloneableCollection.scala 16893 2009-01-13 13:09:22Z cunei $


package /*scala.*/local.collection.mutable

/*-enable-unique*/
import scala.annotation.transient

/** The J2ME version of the library defined this trait with a clone method
 * to substitute for the lack of Object.clone there
 */
@transient
trait CloneableCollection {
  override def clone(): AnyRef = super.clone()
}
